@import "../../index.scss";

.table-responsive td,
.table-responsive th {
    vertical-align: middle;
}

.table-responsive tbody td,
.table-responsive tbody th {
    border: none !important;
}

.table-responsive {
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

tbody tr {
    cursor: pointer;
}

/*
* dropdown
*/
#table_dropdown {
    top: -85px !important;
    left: -150px !important;
    border-radius: 10px;
    padding: 0;
    .dropdown-item {
        color: theme-color("dark");
        font-weight: bold;
        padding: 0.75rem 1rem;
        &:first-child {
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
        }
        &:last-child {
            border-bottom-left-radius: 10px;
            border-bottom-right-radius: 10px;
        }
        &:hover {
            background-color: transparent !important;
            color: theme-color("primary");
        }
        &:hover svg {
            color: theme-color("primary");
        }
    }
    a {
        cursor: pointer;
    }
}

.dropdown-item .player-i {
    font-size: 1.2rem;
}

.drop_icon {
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    border-radius: 50px;
}

.drop_icon svg {
    font-size: 1.5rem;
    color: theme-color("dark");
}

.drop_icon:hover {
    background-color: gray("100");
}

@media screen and (max-width: 375px) {
    #table_dropdown {
        top: -85px !important;
        left: -200px !important;
    }
}

.table.table-hover.loading > tbody {
    position: relative;
}
.table.table-hover.loading > tbody:after {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #fff;
    background-image: url("../../assets/Rolling.svg");
    background-position: center;
    background-repeat: no-repeat;
    height: 277px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    content: "";
}
